classification
Title: 3.10 SSL module deprecations
Type: enhancement Stage: resolved
Components: SSL Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes
Priority: normal Keywords: patch

Created on 2021-04-17 10:55 by christian.heimes, last changed 2021-05-02 14:06 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25455 merged christian.heimes, 2021-04-17 13:15
Messages (5)
msg391284 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-04-17 10:55
With PEP 644 accepted I can finally raise deprecation warnings for a lot of features that have been deprecated since Python 3.6 / 3.7 or by OpenSSL 1.1.1:

* ssl.OP_NO_SSLv2
* ssl.OP_NO_SSLv3
* ssl.OP_NO_TLSv1
* ssl.OP_NO_TLSv1_1
* ssl.OP_NO_TLSv1_2
* ssl.OP_NO_TLSv1_3
* ssl.PROTOCOL_SSLv2
* ssl.PROTOCOL_SSLv3
* ssl.PROTOCOL_SSLv23 (alias for PROTOCOL_TLS)
* ssl.PROTOCOL_TLS
* ssl.PROTOCOL_TLSv1
* ssl.PROTOCOL_TLSv1_1
* ssl.PROTOCOL_TLSv1_2
* ssl.TLSVersion.SSLv3
* ssl.TLSVersion.TLSv1
* ssl.TLSVersion.TLSv1_1
* ssl.wrap_socket()
* ssl.RAND_pseudo_bytes()
* ssl.RAND_egd() (already removed since it's not supported by OpenSSL 1.1.1)
msg391289 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-04-17 15:32
* ssl.SSLContext() without a protocol argument
* ssl.match_hostname()
msg391365 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-04-19 05:27
New changeset 2875c603b2a7691b55c2046aca54831c91efda8e by Christian Heimes in branch 'master':
bpo-43880: Show DeprecationWarnings for deprecated ssl module features (GH-25455)
https://github.com/python/cpython/commit/2875c603b2a7691b55c2046aca54831c91efda8e
msg391389 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-04-19 19:35
I'm leaving the issue open as a reminder to improve whatsnew documentation.
msg392698 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-05-02 14:06
I have updated whatsnew in GH-25817.
History
Date User Action Args
2021-05-02 14:06:05christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg392698

stage: patch review -> resolved
2021-04-19 19:35:19christian.heimessetpriority: high -> normal

messages: + msg391389
2021-04-19 05:27:18christian.heimessetmessages: + msg391365
2021-04-17 15:32:51christian.heimessetmessages: + msg391289
2021-04-17 13:15:01christian.heimessetkeywords: + patch
stage: patch review
pull_requests: + pull_request24183
2021-04-17 10:55:55christian.heimescreate